{% block content_extension %}

/*
вспомогательная функция вызова окна
 */

var cntxParams = win.actionContextJson

function openWindow(url, params, close){
    Ext.applyIf(params, cntxParams);

    Ext.Ajax.request({
        url: url,
        method: 'POST',
        params: params,
        success: function (res, opt) {
            smart_eval(res.responseText);
            result = Ext.decode(res.responseText);
            win.parentWindow.fireEvent('refresh_fields', result['updated_fields']);
            if (close) {
                win.close();
            }
        },
        failure: function (res, opt) {
            uiAjaxFailMessage();
        }
    });
}

var changesApplyURL = '{{ component.changes_apply_url }}',
    changesRejectURL = '{{ component.changes_reject_url }}',
    changesPrintURL = '{{ component.changes_print_url }}';

function askComment(title, message, handler){
    Ext.Msg.show({
        title: title,
        msg: message,
        width: 400,
        buttons: Ext.MessageBox.OKCANCEL,
        multiline: 100,
        defaultTextHeight: 100,
        value: '',
        fn: function(btn, text, obj){if (btn == 'ok') {handler(text)}},
        icon: Ext.MessageBox.QUESTION
    });
}

function applyChangesSubmit(comment){
    openWindow(changesApplyURL, {'comment': comment}, true);
}

function applyChanges(){
    askComment('Применение изменений', 'Введите комментарий', applyChangesSubmit);
}

function rejectChangesSubmit(comment){
    openWindow(changesRejectURL, {'comment': comment}, true);
}

function rejectChanges(){
    askComment('Отказ от изменений', 'Введите комментарий', rejectChangesSubmit);
}

function printChanges(){
    openWindow(changesPrintURL, {'blank': false}, false);
}

{% endblock %}
